SolrIndexSearcher.QueryCommand (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SolrIndexSearcher.QueryCommand class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SolrIndexSearcher.QueryCommand

    java.lang.Object
      org.apache.solr.search.SolrIndexSearcher.QueryCommand

Enclosing class:
  SolrIndexSearcher

    public static class SolrIndexSearcher.QueryCommand

extends Object

A query request command to avoid having to change the method signatures if we want to pass additional information to the searcher.

Constructor Summary
`SolrIndexSearcher.QueryCommand()`

Method Summary
`SolrIndexSearcher.QueryCommand` | `clearFlags(int flags)`
`DocSet` | `getFilter()`
`List<Query>` | `getFilterList()`
`int` | `getFlags()`
`int` | `getLen()`
`int` | `getOffset()`
`Query` | `getQuery()`
`Sort` | `getSort()`
`int` | `getSupersetMaxDoc()`
`long` | `getTimeAllowed()`
`boolean` | `isNeedDocSet()`
`SolrIndexSearcher.QueryCommand` | `replaceFlags(int flags)`
`SolrIndexSearcher.QueryCommand` | `setFilter(DocSet filter)`
`SolrIndexSearcher.QueryCommand` | `setFilterList(List<Query> filterList)`
`SolrIndexSearcher.QueryCommand` | `setFilterList(Query f)` A simple setter to build a filterList from a query
`SolrIndexSearcher.QueryCommand` | `setFlags(int flags)`
`SolrIndexSearcher.QueryCommand` | `setLen(int len)`
`SolrIndexSearcher.QueryCommand` | `setNeedDocSet(boolean needDocSet)`
`SolrIndexSearcher.QueryCommand` | `setOffset(int offset)`
`SolrIndexSearcher.QueryCommand` | `setQuery(Query query)`
`SolrIndexSearcher.QueryCommand` | `setSort(Sort sort)`
`SolrIndexSearcher.QueryCommand` | `setSupersetMaxDoc(int supersetMaxDoc)`
`SolrIndexSearcher.QueryCommand` | `setTimeAllowed(long timeAllowed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrIndexSearcher.QueryCommand

    public SolrIndexSearcher.QueryCommand()

Method Detail

### getQuery

    public Query getQuery()

### setQuery

    public SolrIndexSearcher.QueryCommand setQuery(Query query)

### getFilterList

    public List<Query> getFilterList()

### setFilterList

    public SolrIndexSearcher.QueryCommand setFilterList(List<Query> filterList)

  Throws:
    `IllegalArgumentException` - if filter is not null.

### setFilterList

    public SolrIndexSearcher.QueryCommand setFilterList(Query f)

  A simple setter to build a filterList from a query

  Throws:
    `IllegalArgumentException` - if filter is not null.

### getFilter

    public DocSet getFilter()

### setFilter

    public SolrIndexSearcher.QueryCommand setFilter(DocSet filter)

  Throws:
    `IllegalArgumentException` - if filterList is not null.

### getSort

    public Sort getSort()

### setSort

    public SolrIndexSearcher.QueryCommand setSort(Sort sort)

### getOffset

    public int getOffset()

### setOffset

    public SolrIndexSearcher.QueryCommand setOffset(int offset)

### getLen

    public int getLen()

### setLen

    public SolrIndexSearcher.QueryCommand setLen(int len)

### getSupersetMaxDoc

    public int getSupersetMaxDoc()

### setSupersetMaxDoc

    public SolrIndexSearcher.QueryCommand setSupersetMaxDoc(int supersetMaxDoc)

### getFlags

    public int getFlags()

### replaceFlags

    public SolrIndexSearcher.QueryCommand replaceFlags(int flags)

### setFlags

    public SolrIndexSearcher.QueryCommand setFlags(int flags)

### clearFlags

    public SolrIndexSearcher.QueryCommand clearFlags(int flags)

### getTimeAllowed

    public long getTimeAllowed()

### setTimeAllowed

    public SolrIndexSearcher.QueryCommand setTimeAllowed(long timeAllowed)

### isNeedDocSet

    public boolean isNeedDocSet()

### setNeedDocSet

    public SolrIndexSearcher.QueryCommand setNeedDocSet(boolean needDocSet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD